Bug 198972 - BUG: warning at drivers/net/dl2k.c:1485/mii_wait_link() (Not tainted)
BUG: warning at drivers/net/dl2k.c:1485/mii_wait_link() (Not tainted)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 03:01 EDT by Kari Karvonen
Modified: 2008-01-19 23:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:39:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg and lspci -vv listing (29.41 KB, text/plain)
2006-07-15 03:01 EDT, Kari Karvonen
no flags Details

  None (edit)
Description Kari Karvonen 2006-07-15 03:01:46 EDT
Description of problem:

Kernel module dl2k causes bug warning at drivers/net/dl2k.c:1485/mii_wait_link() 
with D-Link System Inc DL2000-based Gigabit Ethernet (rev 0c) ethernet card

Version-Release number of selected component (if applicable):

Kernel: 
2.6.17-1.2139_FC5 #1 Fri Jun 23 12:40:16 EDT 2006 i686 athlon

dl2k.ko:
filename:       /lib/modules/2.6.17-1.2139_FC5/kernel/drivers/net/dl2k.ko
author:         Edward Peng
description:    D-Link DL2000-based Gigabit Ethernet Adapter
license:        GPL
vermagic:       2.6.17-1.2139_FC5 mod_unload 686 REGPARM 4KSTACKS gcc-4.1

Same bug is also in older versions 2.6.x kernels

How reproducible:

Boot system

Steps to Reproduce:
1. boot system
2. see dmesg
3.
  
Actual results:

D-Link DL2000-based linux driver v1.17b 2006/03/10
ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 17 (level, low) -> IRQ 169
eth0: D-Link DGE-510T Gigabit Ethernet Adapter, 00:05:5d:9e:13:eb, IRQ 169
tx_coalesce:    16 packets
rx_coalesce:    10 packets
rx_timeout:     128000 ns
BUG: warning at drivers/net/dl2k.c:1485/mii_wait_link() (Not tainted)
 <f8bb2e56> rio_interrupt+0x674/0xb1e [dl2k]  <c043db42> handle_IRQ_event+0x23/0x4c
 <c043dbe7> __do_IRQ+0x7c/0xd1  <c0405035> do_IRQ+0x63/0x80
 =======================
 <c04036f2> common_interrupt+0x1a/0x20  <c0601941> _spin_unlock_irqrestore+0xa/0xc
 <c0423cab> __mod_timer+0x8a/0x94  <c05b947e> __netdev_watchdog_up+0x36/0x42
 <c05b9b07> dev_activate+0x10c/0x129  <c05ac9a1> dev_open+0x49/0x60
 <c05ab579> dev_change_flags+0x47/0xe4  <c05e496a> devinet_ioctl+0x250/0x56c
 <c04d865a> copy_to_user+0x54/0x6a  <c05a2c93> sock_ioctl+0x1ae/0x1cd
 <c05a2ae5> sock_ioctl+0x0/0x1cd  <c046be1d> do_ioctl+0x19/0x4d
 <c046c050> vfs_ioctl+0x1ff/0x216  <c046c0b3> sys_ioctl+0x4c/0x65
 <c0402cb3> syscall_call+0x7/0xb
eth0: Link up
Auto 1000 Mbps, Full duplex
Disable Tx Flow Control
Enable Rx Flow Control

[root@core ~]# mii-tool
SIOCGMIIPHY on 'eth0' failed: Operation not supported


Expected results:

D-Link DL2000-based linux driver v1.17b 2006/03/10
ACPI: PCI Interrupt 0000:00:09.0[A] -> GSI 17 (level, low) -> IRQ 169
eth0: D-Link DGE-510T Gigabit Ethernet Adapter, 00:05:5d:9e:13:eb, IRQ 169
tx_coalesce:    16 packets
rx_coalesce:    10 packets
rx_timeout:     128000 ns
eth0: Link up
Auto 1000 Mbps, Full duplex
Disable Tx Flow Control
Enable Rx Flow Control

[root@core ~]# mii-tool
eth1: negotiated 1000baseTx-FD, link ok


Additional info:

Network card works OK, only mii-tool doesn't work.

dmesg and lspci -vv as attachment
Comment 1 Kari Karvonen 2006-07-15 03:01:46 EDT
Created attachment 132476 [details]
dmesg and lspci -vv listing
Comment 2 Kari Karvonen 2006-07-15 03:13:07 EDT
ethtool seems to work ok

[root@core ~]# ethtool eth0
Settings for eth0:
        Supported ports: [ MII ]
        Supported link modes:   10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: MII
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Link detected: yes
[root@core ~]#
Comment 3 Dave Jones 2006-10-16 17:16:13 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:39:39 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.